Bug 1375712 - [abrt] anaconda: TypeError: __new__() takes 3 positional arguments but 5 were given
Summary: [abrt] anaconda: TypeError: __new__() takes 3 positional arguments but 5 were...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: rawhide
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Vratislav Podzimek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:40770cac0616143afdfaf6a1907...
Keywords:
Depends On:
Blocks: F25FinalBlocker
TreeView+ depends on / blocked
 
Reported: 2016-09-13 19:49 UTC by Adam Williamson
Modified: 2016-10-26 23:05 UTC (History)
10 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-10-26 23:05:47 UTC


Attachments (Terms of Use)
File: anaconda-tb (313.45 KB, text/plain)
2016-09-13 19:49 UTC, Adam Williamson
no flags Details
File: anaconda.log (25.83 KB, text/plain)
2016-09-13 19:49 UTC, Adam Williamson
no flags Details
File: backtrace (634 bytes, text/plain)
2016-09-13 19:49 UTC, Adam Williamson
no flags Details
File: description (719 bytes, text/plain)
2016-09-13 19:49 UTC, Adam Williamson
no flags Details
File: dnf.librepo.log (11.60 KB, text/plain)
2016-09-13 19:49 UTC, Adam Williamson
no flags Details
File: environ (482 bytes, text/plain)
2016-09-13 19:49 UTC, Adam Williamson
no flags Details
File: hawkey.log (1.03 KB, text/plain)
2016-09-13 19:49 UTC, Adam Williamson
no flags Details
File: ifcfg.log (4.41 KB, text/plain)
2016-09-13 19:49 UTC, Adam Williamson
no flags Details
File: lsblk_output (1.31 KB, text/plain)
2016-09-13 19:49 UTC, Adam Williamson
no flags Details
File: nmcli_dev_list (1.24 KB, text/plain)
2016-09-13 19:49 UTC, Adam Williamson
no flags Details
File: packaging.log (4.41 KB, text/plain)
2016-09-13 19:49 UTC, Adam Williamson
no flags Details
File: program.log (18.70 KB, text/plain)
2016-09-13 19:49 UTC, Adam Williamson
no flags Details
File: storage.log (39.38 KB, text/plain)
2016-09-13 19:49 UTC, Adam Williamson
no flags Details
File: syslog (77.19 KB, text/plain)
2016-09-13 19:49 UTC, Adam Williamson
no flags Details

Description Adam Williamson 2016-09-13 19:49:13 UTC
Version-Release number of selected component:
anaconda-26.2-1

Additional info:
reporter:       libreport-2.8.0
addons:         com_redhat_docker, com_redhat_kdump
cmdline:        /usr/bin/python3  /sbin/anaconda
cmdline_file:   BOOT_IMAGE=vmlinuz initrd=initrd.img inst.stage2=hd:LABEL=Fedora-S-dvd-x86_64-rawh quiet
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.8.0-0.rc6.git0.1.fc26.x86_64
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        rawhide

Truncated backtrace:
Traceback (most recent call last):
  File "/usr/lib64/python3.5/site-packages/pyanaconda/threads.py", line 251, in run
    threading.Thread.run(self, *args, **kwargs)
  File "/usr/lib64/python3.5/threading.py", line 862, in run
    self._target(*self._args, **self._kwargs)
  File "/usr/lib64/python3.5/site-packages/pyanaconda/ui/gui/spokes/advstorage/iscsi.py", line 221, in _discover
    r_password=credentials.rPassword)
  File "/usr/lib/python3.5/site-packages/blivet/iscsi.py", line 372, in discover
    args = GLib.Variant("(sqa{sv}", ipaddr, port, auth_info)
TypeError: __new__() takes 3 positional arguments but 5 were given

Comment 1 Adam Williamson 2016-09-13 19:49:18 UTC
Created attachment 1200595 [details]
File: anaconda-tb

Comment 2 Adam Williamson 2016-09-13 19:49:19 UTC
Created attachment 1200596 [details]
File: anaconda.log

Comment 3 Adam Williamson 2016-09-13 19:49:20 UTC
Created attachment 1200597 [details]
File: backtrace

Comment 4 Adam Williamson 2016-09-13 19:49:21 UTC
Created attachment 1200598 [details]
File: description

Comment 5 Adam Williamson 2016-09-13 19:49:22 UTC
Created attachment 1200599 [details]
File: dnf.librepo.log

Comment 6 Adam Williamson 2016-09-13 19:49:23 UTC
Created attachment 1200600 [details]
File: environ

Comment 7 Adam Williamson 2016-09-13 19:49:24 UTC
Created attachment 1200601 [details]
File: hawkey.log

Comment 8 Adam Williamson 2016-09-13 19:49:26 UTC
Created attachment 1200602 [details]
File: ifcfg.log

Comment 9 Adam Williamson 2016-09-13 19:49:27 UTC
Created attachment 1200603 [details]
File: lsblk_output

Comment 10 Adam Williamson 2016-09-13 19:49:28 UTC
Created attachment 1200604 [details]
File: nmcli_dev_list

Comment 11 Adam Williamson 2016-09-13 19:49:29 UTC
Created attachment 1200605 [details]
File: packaging.log

Comment 12 Adam Williamson 2016-09-13 19:49:30 UTC
Created attachment 1200606 [details]
File: program.log

Comment 13 Adam Williamson 2016-09-13 19:49:32 UTC
Created attachment 1200607 [details]
File: storage.log

Comment 14 Adam Williamson 2016-09-13 19:49:33 UTC
Created attachment 1200608 [details]
File: syslog

Comment 15 Adam Williamson 2016-09-13 19:51:25 UTC
New lorax seems to have fixed https://bugzilla.redhat.com/show_bug.cgi?id=1347415 , but iSCSI installs now hit this error a bit later. See e.g. https://openqa.fedoraproject.org/tests/34236 . Assuming this will hit F25 as well once lorax goes stable there, nominating as a Final blocker: "The installer must be able to detect (if possible) and install to supported network-attached storage devices."

Comment 16 Vratislav Podzimek 2016-09-19 08:59:36 UTC
https://github.com/rhinstaller/blivet/pull/510

Comment 17 Petr Schindler 2016-09-19 16:55:38 UTC
Discussed at 2016-09-19 blocker review meeting: [1]. 

We decided to tentatively accept it as a final blocker: If the affected software hits stable repos, this will violate "The installer must be able to detect (if possible) and install to supported network-attached storage devices." for iSCSI and therefore be a blocker. Punting for the moment.

[1] https://meetbot-raw.fedoraproject.org/fedora-blocker-review/2016-09-19/

Comment 18 Vratislav Podzimek 2016-09-20 07:05:38 UTC
(In reply to Vratislav Podzimek from comment #16)
> https://github.com/rhinstaller/blivet/pull/510

Merged.

Comment 19 Fedora Update System 2016-09-20 18:57:17 UTC
python-blivet-2.1.4-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d8691b1b14

Comment 20 Fedora Update System 2016-09-22 09:56:33 UTC
python-blivet-2.1.4-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d8691b1b14

Comment 21 Geoffrey Marr 2016-09-26 23:21:38 UTC
Discussed during the 2016-09-26 blocker review meeting: [1]

The decision to classify this bug as an AcceptedBlocker was made as the affected Lorax build is currently pending stable, and we expect that it will affect F25. We find that this bug violates the Final criteria: "The installer must be able to detect (if possible) and install to supported network-attached storage devices."

[1] https://meetbot.fedoraproject.org/fedora-blocker-review/2016-09-26/f25-blocker-review.2016-09-26-16.04.txt

Comment 22 Kamil Páral 2016-10-20 13:22:26 UTC
(In reply to Fedora Update System from comment #20)
> python-blivet-2.1.4-1.fc25 has been pushed to the Fedora 25 testing

The update has been unpushed, but python-blivet-2.1.6-1.fc25 has been pushed stable two weeks ago. Adam, can you please retest this? Thanks.

Comment 23 Adam Williamson 2016-10-26 23:05:47 UTC
Well, it's a little hard to be sure, as iSCSI is still broken due to https://bugzilla.redhat.com/show_bug.cgi?id=1378156 , and I can't tell for sure if this one happen(s/ed) *before* that or *after* it. But since it's claimed fixed, let's go ahead and close it; we can re-open if it shows up again after #1378156 is fixed.


Note You need to log in before you can comment on or make changes to this bug.